# GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype:

List of all members.

## Public Member Functions

| GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_UserID | m_nodeID
GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate | m_nodeUpdate

## Constructor & Destructor Documentation

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::GetDataLength | ( |  | ) | const

PBoolean GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::Clone | ( |  | ) | const

## Member Data Documentation

GCC_UserID GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::m_nodeID

GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype_nodeUpdate GCC_RosterUpdateIndication_nodeInformation_nodeRecordList_update_subtype::m_nodeUpdate

The documentation for this class was generated from the following file:

- gcc.h